<!DOCTYPE html>
<html>

<head>
    <link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png">
    <link rel="manifest" href="/site.webmanifest">
    <link rel="mask-icon" href="/safari-pinned-tab.svg" color="#5bbad5">
    <meta name="msapplication-TileColor" content="#da532c">
    <meta name="theme-color" content="#ffffff">
    <title>Super Simon</title>
    <script src="https://npmcdn.com/vue/dist/vue.js"></script>
    <link rel="stylesheet" href="css/app.css">
</head>

<body>
    <div id="app">

        <div v-if="!loaded">Loading....</div>

        <div v-if="loaded">
            <app-simon-header v-bind:level-number="levelNumber" v-bind:game-state-label="gameStateLabel"
                v-bind:can-player-play="canPlayerPlay" v-bind:is-game-running="isGameRunning"
                v-on:start-event="startGame"></app-simon-header>
            <!-- <div class="simon-header">
            <h1>Level {{ levelNumber }}</h1>
            <h3>Etat de la partie : {{ gameStateLabel }} </h3>
            <h3 v-if="isGameRunning">{{ canPlayerPlay ? 'Le joueur peut jouer.' : 'L\'ordi joue.' }} </h3>
            <button @click="startGame()" :disabled="isGameRunning">Lancer la partie</button>
        </div> -->
            <hr>
            <section id="simon-game-screen" v-if="isGameRunning">
                <div v-for="(tale, index) in simonTales" @click="playerClicOnTale(index)">
                    <tale-button :ref="tale.id" v-bind:id="tale.id" v-bind:audio="tale.audio" v-bind:color="tale.color"
                        v-bind:can-be-activated="canPlayerPlay" v-bind:label="tale.label"></tale-button>
                </div>
            </section>
        </div>
    </div>
</body>
<script src="js/headerComponent.js"></script>
<script src="js/taleComponent.js"></script>
<script src="js/app2.js"></script>

</html>